
:root {
	/* Change the color scheme with this variable, or add more from the https://simplecss.org/ documentation. */
	--accent: pink;
}

body {
	grid-template-columns: 1fr min(60rem, 90%) 1fr;
	font-size: 1.1rem;
	line-height: 1.3;
}

h1 {
	font-size: 2.5rem;
}

.info_text {
	font-size: 1rem;
	margin: 0.8rem 0;
}

.header {
	text-align: center;
}

.repo_bar {
	padding: 0.5em 0 0.5em 0;
	margin: 0.5rem 0;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
	align-items: baseline;
	gap: 1rem;

	.button_add_to_vcc {
		min-width: 10rem;
		max-width: 15rem;
		flex: 1;
	}
	.repo_url_flex {
		display: flex;
		flex-direction: row;
		justify-content: center;
		align-items: baseline;
		gap: 1rem;
	}
	.repo_url {
		color: var(--text-light);
		font-size: smaller;
		text-overflow: ellipsis;
	}
	.button_copy_repo_url {
		background-color: var(--accent-bg);
		color: var(--text-light);
		border-color: var(--text-light);
	}
	.button_copy_repo_url:hover {
		color: var(--accent-text);
	}
}

.package_table {
	width: 100%;
}

td > * {
	display: block;
}

.package_name {
	color: var(--accent);
	font-size: large;
	font-weight: bold;
	margin: 0.25rem 0;
}

.package_description {
	color: var(--text-light);
	font-size: smaller;
}

.package_id {
	font-size: small;
}
